using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Memo_Project.Forms
{
    public partial class frm_User : Form
    {
        public frm_User()
        {
            InitializeComponent();
        }

        private void btn_Reg_Click(object sender, EventArgs e)
        {
            string fn = Application.StartupPath + "\\Data\\Images\\User_Pic\\about.jpg";   
                try
                {
                    //****************************************************************************
                    if (txt_New_Pw.Text == "" && txt_Pre_Pw.Text == Memo_Project.Properties.Settings.Default.User_Pw)
                    {
                        System.IO.File.Copy(this.openFileDialog1.FileName, fn, true);
                        MessageBox.Show("تغییرات با موفقیت ذخیره شد", "توجه",
                        MessageBoxButtons.OK, MessageBoxIcon.Information);
                        return;
                    }
                    //****************************************************************************
                    if (txt_Pre_Pw.Text != Memo_Project.Properties.Settings.Default.User_Pw)
                    {
                        MessageBox.Show("رمز عبور قبلی نادرست است", "هشدار",
                            MessageBoxButtons.OK, MessageBoxIcon.Information);
                        return;
                    }
                    //****************************************************************************
                    if (txt_New_Pw.Text == txt_Re_Pw.Text)
                    {
                        Memo_Project.Properties.Settings.Default.User_Name = txt_User_Name.Text;
                        Memo_Project.Properties.Settings.Default.User_Pw = txt_New_Pw.Text;
                        Memo_Project.Properties.Settings.Default.Save();
                        MessageBox.Show("تغییرات با موفقیت ذخیره شد", "توجه",
                            MessageBoxButtons.OK, MessageBoxIcon.Information);
                        System.IO.File.Copy(this.openFileDialog1.FileName, fn, true);
                    }
                    //****************************************************************************
                    else
                    {
                        MessageBox.Show("رمز عبور جدید با تکرار رمز عبور یکسان نیست", "هشدار",
                            MessageBoxButtons.OK, MessageBoxIcon.Error);
                        return;
                    }
                }
                catch (Exception)
                {
                    MessageBox.Show("کاربر عزیز: این کار امکان پذیر نیست", "هشدار",
                        MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
        }

        private void frm_User_Load(object sender, EventArgs e)
        {
            this.txt_User_Name.Text = Memo_Project.Properties.Settings.Default.User_Name;
            if (System.IO.File.Exists(Application.StartupPath + "\\Data\\Images\\User_Pic\\about.jpg"))
            {
                this.pictureBox1.Load(Application.StartupPath + "\\Data\\Images\\User_Pic\\about.jpg");
            }
            else
            {
                MessageBox.Show("تصویر کاربر وجود ندارد", "هشدار",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            
        }

        private void btn_Select_Image_Click(object sender, EventArgs e)
        {
            try
            {
                this.openFileDialog1.ShowDialog();
                this.pictureBox1.Load(this.openFileDialog1.FileName);
            }
            catch (Exception)
            {
                MessageBox.Show("کاربر عزیز: این کار امکان پذیر نیست", "هشدار",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }


    }
}
